{
  buildGoModule,
  fetchFromGitea,
  lib,
  ...
}:
buildGoModule rec {
  pname = "git-age";
  version = "0.0.2";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "git-age";
    rev = "v${version}";
    sha256 = "sha256-qTXRtQUlwTy1nMxwZaQ2PFpkFCmL/nO0jQ/P4JNSIAE=";
  };

  vendorSha256 = "sha256-L/dm1AA4fMgkHnubvayZkw3YizZJYy6lnKdPbyuMGnc=";

  ldflags = ["-s" "-w" "-X=go.jolheiser.com/git-age/cmd.version=${version}"];

  meta = with lib; {
    description = "git-crypt, but with age";
    homepage = "https://git.jojodev.com/jolheiser/git-age";
    license = licenses.mit;
  };
}
