{
  buildGoModule,
  fetchFromGitHub,
  lib,
  ...
}:
buildGoModule rec {
  pname = "tclip";
  version = "2c99626eb040cb9a54cdf4015c5d2bfd0a7be038";

  src = fetchFromGitHub {
    owner = "tailscale-dev";
    repo = "tclip";
    rev = version;
    sha256 = "sha256-quSaM5LzBNdl2cx+1oRcavg1Z0IXZSBk58IBqUgK/4o=";
  };

  vendorSha256 = "sha256-uTgoZmy8w/NbTi6jcPP7wS0GtvTmecNLWb2iYu3PH30=";

  ldflags = ["-s" "-w"];

  subPackages = "cmd/tclip";

  meta = with lib; {
    description = "tclip client";
    homepage = "https://github.com/tailscale-dev/tclip";
    license = licenses.bsd3;
    mainProgram = "tclip";
  };
}
