{ buildGoModule, fetchFromGitea, lib, ... }:
buildGoModule rec {
  pname = "gomodinit";
  version = "0.1.1";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "gomodinit";
    rev = "v${version}";
    sha256 = "sha256-+9HrNqJwOcU0IYEFUHA6ShLATh6qFG/V9wIpcX8E6Cg=";
  };

  vendorSha256 = "sha256-7RMTRFHYgzQD7K5JDdjV7ABg6BpCZbQXS9gSRlm27X8=";

  ldflags = [ "-s" "-w" "-X=main.Version=${version}" ];

  meta = with lib; {
    description = "go mod init";
    homepage = "https://git.jojodev.com/jolheiser/gomodinit";
    license = licenses.mit;
  };
}

